
TYPO3.Fluid - Bug # 5020

Status: Resolved Priority: Must have
Author: Jochen Rau Category: ViewHelpers
Created: 2009-10-17 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: SelectViewHelper produces invalid code
Description

The Select View Helper produces invalid code with strange output, if the value of the attribute "options" is empty. This is caused by the
lack of at least one OPTION element.

"A SELECT element must contain at least one OPTION element." 
http://www.w3.org/TR/html4/interact/forms.html#h-17.6

Associated revisions
Revision dba85061 - 2009-11-26 16:20 - Bastian Waidelich

[~BUGFIX] Fluid (ViewHelpers): Fixed the Select view helper to always create at least one option element. This fixes #5020

History
#1 - 2009-10-19 15:37 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#2 - 2009-10-21 18:50 - Bastian Waidelich
- Category set to ViewHelpers
- Branch set to v4 + v5

What do you suggest as solution?
Always add <option value=""></option> if options array is empty?

I'd prefer to have some prependOptions or appendOptions argument, so you could write

<f:form.select name="paymentOptions" options="{settings.paymentOptions}" prependOptions="{0: ' - choose one - '}" />

What do you think?

#3 - 2009-10-27 11:09 - Karsten Dambekalns

To fix the issue one could add one option with "---" as a last resort.

#4 - 2009-10-27 13:52 - Bastian Waidelich
Karsten Dambekalns wrote:

To fix the issue one could add one option with "---" as a last resort.

Ok, I'll take care of this. But I'd rather add an empty option (<option></option>) in case the $options array is empty.
Anyways, what do you think about the prependOptions attribute?

Bastian

#5 - 2009-10-27 13:52 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

#6 - 2009-11-26 17:02 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3512.
